Z3 |

Public Member Functions
IntSymbol Class Reference
Inheritance diagram for IntSymbol:

## Public Member Functions
int | getInt ()
Public Member Functions inherited from Symbol
boolean | isIntSymbol ()
boolean | isStringSymbol ()
boolean | equals (Object o)
String | toString ()

## Additional Inherited Members
Static Public Member Functions inherited from Z3Object
static long[] | arrayToNative (Z3Object[] a)
static int | arrayLength (Z3Object[] a)
Protected Member Functions inherited from Symbol
Z3_symbol_kind | getKind ()
| Symbol (Context ctx, long obj)

## Detailed Description

Numbered symbols

Definition at line 25 of file IntSymbol.java.

## Member Function Documentation

## ◆ getInt()

int getInt | ( |  | ) |
| inline

The int value of the symbol. Remarks: Throws an exception if the symbol is not of int kind.

Definition at line 32 of file IntSymbol.java.

33 {
34 if (!isIntSymbol())
35 throw new Z3Exception("Int requested from non-Int symbol");
36 return Native.getSymbolInt(getContext().nCtx(), getNativeObject());
37 }
com.microsoft.z3.Symbol.isIntSymbol
boolean isIntSymbol()
Definition: Symbol.java:38